Authentication

This page describes how to set up a Gigasheet API key.

Log in to see your API keys
API KeyLabelLast Used

Obtaining your Gigasheet API key

Calls to Gigasheet API endpoints are authenticated using a Gigasheet API key. You must obtain a token using the token creation flow in the Gigasheet web application user interface at app.gigasheet.com. For assistance obtaining a token, please contact [email protected].

Authenticating requests with a Gigasheet API key

Your Gigasheet API key can be used to authenticate requests by providing the custom header X-GIGASHEET-TOKEN. A simple example is shown here:

curl -H "X-GIGASHEET-TOKEN: your_api_key_here" https://api.gigasheet.com/user/whoami
token = 'your_api_key_here'
res = requests.get('https://api.gigasheet.com/user/whoami', headers={'X-GIGASHEET-TOKEN':token})
res.raise_for_status()
print(res.json())
# for use with httpie https://httpie.io/
http GET https://api.gigasheet.com/user/whoami X-GIGASHEET-TOKEN:your_api_key_here

The other pages of this documentation portal provide interactive examples in many more formats and languages.

Python bindings

There is a partial Gigasheet API wrapper in Python available at github.com/gigasheetco/gigasheet-python. You can optionally use this in your projects to call the Gigasheet API from Python.

Billing

Ensure you understand the billing model of the Gigasheet API by reviewing our Billing and Costs page.

End to End Example

You can try a complete example by following this End to End Example

Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!